Bug 999189 - If gear upgrade extension version does not match supplied version, it should not be loaded.
If gear upgrade extension version does not match supplied version, it should ...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Paul Morie
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-20 17:52 EDT by Paul Morie
Modified: 2015-05-14 19:26 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-29 08:54:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Morie 2013-08-20 17:52:56 EDT
Gear upgrade extension should be a no-op if it's for the wrong version (current behavior is to raise an exception).
Comment 1 Paul Morie 2013-08-21 12:51:59 EDT
PR submitted to master.
Comment 2 openshift-github-bot 2013-08-21 14:01:46 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/f7e50e2165cfe1e74ff5386179de3a6c1cbad73b
Fix bug 999189: gear upgrade extension is a no-op if release version doesn't match supplied version
Comment 4 Meng Bo 2013-08-22 06:32:22 EDT
Tested on devenv-stage_448, the patch should work fine.

# oo-admin-upgrade upgrade-gear --version 3.0.32 --app-name appa --login bmeng@redhat.com --upgrade-gear=5215e6c499055c0995000002

       "log": [
            "Version mismatch between supplied release version (3.0.32) and extension version (2.0.32", 

But there missing a ")" in the end of the message.

Assign it back to fix the typo.
Comment 5 Paul Morie 2013-08-22 10:42:38 EDT
PRs submitted to master and stage for this.
Comment 7 Meng Bo 2013-08-23 06:00:38 EDT
"log":["Version mismatch between supplied release version (2.0.33) and extension version (2.0.32)"

The typo fixed on devnev-stage_452.

Note You need to log in before you can comment on or make changes to this bug.